"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CeilValue = exports.IgnoreValue = void 0;
/**
 * Author   : Syan
 * Date     : 2019-08-27
 * Project [ godfrey ] Coded on WebStorm.
 */
// @ts-ignore
var react_native_1 = require("react-native");
var screenUtil = require("./util");
var hairlineWidth = react_native_1.StyleSheet.hairlineWidth, absoluteFill = react_native_1.StyleSheet.absoluteFill, flatten = react_native_1.StyleSheet.flatten, absoluteFillObject = react_native_1.StyleSheet.absoluteFillObject, compose = react_native_1.StyleSheet.compose;
var scaleSize = screenUtil.scaleSize;
var transformKeys = {
    fontSize: true,
    width: true,
    height: true,
    start: true,
    end: true,
    top: true,
    left: true,
    right: true,
    bottom: true,
    minWidth: true,
    maxWidth: true,
    minHeight: true,
    maxHeight: true,
    margin: true,
    marginVertical: true,
    marginHorizontal: true,
    marginTop: true,
    marginBottom: true,
    marginLeft: true,
    marginRight: true,
    marginStart: true,
    marginEnd: true,
    padding: true,
    paddingVertical: true,
    paddingHorizontal: true,
    paddingTop: true,
    paddingBottom: true,
    paddingLeft: true,
    paddingRight: true,
    paddingStart: true,
    paddingEnd: true,
    lineHeight: true,
    borderRadius: true,
    borderWidth: true,
    borderTopWidth: true,
    borderStartWidth: true,
    borderEndWidth: true,
    borderRightWidth: true,
    borderBottomWidth: true,
    borderLeftWidth: true,
    borderBottomEndRadius: true,
    borderBottomLeftRadius: true,
    borderBottomRightRadius: true,
    borderBottomStartRadius: true,
    borderTopEndRadius: true,
    borderTopLeftRadius: true,
    borderTopRightRadius: true,
    borderTopStartRadius: true,
};
function transformStyle(styleObj, prop) {
    var value = styleObj[prop];
    if (!value || !transformKeys[prop])
        return;
    if (value.hasOwnProperty('value')) {
        styleObj[prop] = value.value;
        return;
    }
    if (value.hasOwnProperty('ceilValue')) {
        styleObj[prop] = value.ceilValue;
        return;
    }
    if (isNaN(value))
        return;
    styleObj[prop] = scaleSize(value);
}
exports.default = __assign(__assign({ hairlineWidth: hairlineWidth, hairlineUnit: hairlineWidth, absoluteFill: absoluteFill,
    absoluteFillObject: absoluteFillObject,
    compose: compose,
    flatten: flatten, create: react_native_1.StyleSheet.create(function (obj) {
        for (var key in obj) {
            var styleObj = obj[key];
            if (styleObj) {
                for (var prop in styleObj) {
                    transformStyle(styleObj, prop);
                }
            }
        }
        return obj;
    }) }, screenUtil), { isIOS: react_native_1.Platform.OS === 'ios', isAndroid: react_native_1.Platform.OS === 'android' });
var IgnoreValue = /** @class */ (function () {
    function IgnoreValue(value) {
        this.value = value;
    }
    return IgnoreValue;
}());
exports.IgnoreValue = IgnoreValue;
var CeilValue = /** @class */ (function () {
    function CeilValue(value) {
        this.ceilValue = Math.ceil(scaleSize(value));
    }
    return CeilValue;
}());
exports.CeilValue = CeilValue;
