export declare const onePixel: number;
export declare const screenW: number;
export declare const screenH: number;
/**
 * 修改配置
 * @param baseWidth
 */
export declare function setConfig({ baseWidth }: {
    baseWidth: any;
}): void;
/**
 * 判断是否为iphoneX
 * @returns {boolean}
 */
export declare const isIphoneX: () => boolean;
/**
 * 屏幕适配, 缩放size , 默认根据宽度适配，纵向也可以使用此方法
 * @param size 设计图的尺寸
 * @returns {number}
 */
export declare function scaleSize(size: number): number;
/**
 * 根据是否是iPhoneX返回不同的样式
 * @param iphoneXStyle
 * @param iosStyle
 * @param androidStyle
 * @returns {*}
 */
export declare function ifIphoneX(iphoneXStyle: any, iosStyle: {}, androidStyle: any): any;
/**
 * 状态栏高度
 */
export declare function statusBarHeight(): any;
/**
 * 常规导航栏高度（包含状态栏）
 */
export declare function navigationBarHeight(): number;
/**
 * 状态栏加导航栏的高度
 * @returns {*}
 */
export declare function navBarHeight(): any;
/**
 * 导航栏高度(不包含状态栏)
 * @returns {*}
 */
export declare function navBarUnlessStatusHeight(): 44 | 56;
/**
 * 获取底部边距
 */
export declare function getBottomSpace(): 0 | 34;
